TrackerDistributedCacheManager.BaseDirManager (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.filecache
Class TrackerDistributedCacheManager.BaseDirManager

    java.lang.Object
      org.apache.hadoop.filecache.TrackerDistributedCacheManager.BaseDirManager

Enclosing class:
  TrackerDistributedCacheManager

    protected class TrackerDistributedCacheManager.BaseDirManager

extends Object

This class holds properties of each base directories and is responsible for clean up unused cache files in base directories.

Constructor Summary
`protected` | `TrackerDistributedCacheManager.BaseDirManager()`

Method Summary
`void` | `addCacheInfoUpdate(org.apache.hadoop.filecache.TrackerDistributedCacheManager.CacheStatus cacheStatus)` Update the maps baseDirSize and baseDirNumberSubDir when adding cache.
`void` | `deleteCacheInfoUpdate(org.apache.hadoop.filecache.TrackerDistributedCacheManager.CacheStatus cacheStatus)` Decrement the size and sub directory count of the cache from baseDirSize and baseDirNumberSubDir.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrackerDistributedCacheManager.BaseDirManager

    protected TrackerDistributedCacheManager.BaseDirManager()

Method Detail

### deleteCacheInfoUpdate

    public void deleteCacheInfoUpdate(org.apache.hadoop.filecache.TrackerDistributedCacheManager.CacheStatus cacheStatus)

  Decrement the size and sub directory count of the cache from baseDirSize and baseDirNumberSubDir. Have to lock lcacheStatus before calling this.

  Parameters:
    `cacheStatus` - cache status of the cache is deleted

### addCacheInfoUpdate

    public void addCacheInfoUpdate(org.apache.hadoop.filecache.TrackerDistributedCacheManager.CacheStatus cacheStatus)

  Update the maps baseDirSize and baseDirNumberSubDir when adding cache. Increase the size and sub directory count of the cache from baseDirSize and baseDirNumberSubDir. Have to lock lcacheStatus before calling this.

  Parameters:
    `cacheStatus` - cache status of the cache is added

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation